aboutsummaryrefslogtreecommitdiff
path: root/src/cdemu-daemon/cdemud.rc
diff options
context:
space:
mode:
Diffstat (limited to 'src/cdemu-daemon/cdemud.rc')
-rwxr-xr-xsrc/cdemu-daemon/cdemud.rc34
1 files changed, 34 insertions, 0 deletions
diff --git a/src/cdemu-daemon/cdemud.rc b/src/cdemu-daemon/cdemud.rc
new file mode 100755
index 0000000..09b9ec3
--- /dev/null
+++ b/src/cdemu-daemon/cdemud.rc
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting cdemud"
+ /usr/lib/cdemu-daemon/cdemu-daemon-system.sh &
+ if [ $? -ne 0 ]; then
+ stat_fail
+ else
+ add_daemon cdemud
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping cdemud"
+ kill `pidof cdemud` &>/dev/null
+ if [ $? -ne 0 ]; then
+ stat_fail
+ else
+ rm_daemon cdemud
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac